Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class XFireConfigurableServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.codehaus.xfire.transport.http.XFireServlet
                  org.codehaus.xfire.transport.http.XFireConfigurableServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class XFireConfigurableServlet

extends XFireServlet

XFire Servlet as Dispatcher including a configuration
of XFire from services.xml in classpath

See Also:
  Serialized Form

Constructor Summary
`XFireConfigurableServlet()`

Method Summary
`protected void` | `configureXFire()`
`void` | `init()`

Methods inherited from class org.codehaus.xfire.transport.http.XFireServlet
`createController, createXFire, doGet, doPost, getController, getXFire`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireConfigurableServlet

    public XFireConfigurableServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `XFireServlet`
  Throws:
    `javax.servlet.ServletException`
  See Also:
    `javax.servlet.Servlet#init()`

### configureXFire

    protected void configureXFire()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.